VirtualBox

Opened 11 years ago

Closed 10 years ago

#12293 closed defect (duplicate)

Windows XP DON'T WORK in Version 4.3.2

Reported by: yann458 Owned by:
Component: VMM Version: VirtualBox 4.3.2
Keywords: virtualbox, xp, bsold Cc:
Guest type: other Host type: other

Description

Windows XP , don't work with VirtualBox 4.3.2 ; I'have a bsod

Impossible join a DMP.

Attachments (3)

test windows XP.png (11.6 KB ) - added by yann458 11 years ago.
VBox.log (87.8 KB ) - added by yann458 11 years ago.
test windows XP.vbox (11.9 KB ) - added by yann458 11 years ago.

Download all attachments as: .zip

Change History (10)

by yann458, 11 years ago

Attachment: test windows XP.png added

by yann458, 11 years ago

Attachment: VBox.log added

by yann458, 11 years ago

Attachment: test windows XP.vbox added

comment:1 by yann458, 11 years ago

The safemode run is work good.

I try update kernel linux

comment:2 by yann458, 11 years ago

I have removed VirtualBox 4.3.2 and reinstalled the version 4.2.18.

Sorry , but on VirtualBox 4.2.18 my guest windows XP work good (No BSOD) .

Version 0, edited 11 years ago by yann458 (next)

comment:3 by Frank Mehnert, 11 years ago

priority: blockermajor

comment:4 by Frank Mehnert, 11 years ago

It's most likely because the guest is trying to read from MSR 0x2C. This MSR is not implemented on AMD processors. Did you install this WinXP guest on an Intel CPU by any chance?

comment:5 by yann458, 11 years ago

My Windows XP on guest machine DON'T work with VirtualBox 4.3.2

My Windows XP on guest machine work with VirtualBox 4.2.18
I tested only AMD Processor.
Otherwise,

About If it's MSR 2c ,
WHAT line of source code VMM do I recopy from the 4.2.18 version into 4.3.2 Virtualbox version for my Windows XP guest will run on VirtualBox 4.3.2 (installed into host AMD processor) ??
Thank,

Last edited 11 years ago by yann458 (previous) (diff)

comment:6 by _ReD_, 10 years ago

Temporarily, you may want to disable amd-v for that machine. In my case XP guests that crash with AMD-V enabled under 4.3.x (and worked on 4.2), will function on 4.3 as well with hardware assisted virtualization disabled.

Last edited 10 years ago by _ReD_ (previous) (diff)

comment:7 by Frank Mehnert, 10 years ago

Resolution: duplicate
Status: newclosed

Closing as duplicate of #12420.

Note: See TracTickets for help on using tickets.

© 2023 Oracle
ContactPrivacy policyTerms of Use